### Hierarchy

- LayoutNetwork
  - ForceDirectedNetwork

This class represents an abstract graph of ForceDirectedVertexes and ForceDirectedEdges that can be constructed based on the Nodes and Links of a Diagram so that the ForceDirectedLayout can operate independently of the diagram until it is time to commit any node positioning or link routing.

This class inherits from LayoutNetwork.

## Index

### Constructors

- constructor

## Constructors

### constructor

- new ForceDirectedNetwork(layout: ForceDirectedLayout): ForceDirectedNetwork

- #### Parameters

  - ##### layout: ForceDirectedLayout

  #### Returns ForceDirectedNetwork

Copyright © 1998-2020 by Northwoods Software Corporation.